[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[GNUnet-SVN] r31183 - gnunet/src/gns
From: |
gnunet |
Subject: |
[GNUnet-SVN] r31183 - gnunet/src/gns |
Date: |
Sun, 8 Dec 2013 22:33:35 +0100 |
Author: LRN
Date: 2013-12-08 22:33:34 +0100 (Sun, 08 Dec 2013)
New Revision: 31183
Modified:
gnunet/src/gns/test_gns_cname_lookup.sh
gnunet/src/gns/test_gns_delegated_lookup.sh
gnunet/src/gns/test_gns_dht_lookup.sh
gnunet/src/gns/test_gns_gns2dns_lookup.sh
gnunet/src/gns/test_gns_ipv6_lookup.sh
gnunet/src/gns/test_gns_lookup.sh
gnunet/src/gns/test_gns_mx_lookup.sh
gnunet/src/gns/test_gns_nick_shorten.sh
gnunet/src/gns/test_gns_plus_lookup.sh
gnunet/src/gns/test_gns_quickupdate.sh
gnunet/src/gns/test_gns_rel_expiration.sh
gnunet/src/gns/test_gns_revocation.sh
gnunet/src/gns/test_gns_soa_lookup.sh
gnunet/src/gns/test_gns_txt_lookup.sh
gnunet/src/gns/test_gns_zkey_lookup.sh
gnunet/src/gns/test_gnunet_gns.sh
Log:
Change gnunet-config detection in gns tests
Modified: gnunet/src/gns/test_gns_cname_lookup.sh
===================================================================
--- gnunet/src/gns/test_gns_cname_lookup.sh 2013-12-08 21:33:29 UTC (rev
31182)
+++ gnunet/src/gns/test_gns_cname_lookup.sh 2013-12-08 21:33:34 UTC (rev
31183)
@@ -4,8 +4,13 @@
LOCATION=$(which gnunet-config)
if [ -z $LOCATION ]
then
+ LOCATION="gnunet-config"
+fi
+$LOCATION --version
+if test $? != 0
+then
echo "GNUnet command line tools cannot be found, check environmental
variables PATH and GNUNET_PREFIX"
- exit 1
+ exit 77
fi
rm -rf `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
Modified: gnunet/src/gns/test_gns_delegated_lookup.sh
===================================================================
--- gnunet/src/gns/test_gns_delegated_lookup.sh 2013-12-08 21:33:29 UTC (rev
31182)
+++ gnunet/src/gns/test_gns_delegated_lookup.sh 2013-12-08 21:33:34 UTC (rev
31183)
@@ -5,8 +5,13 @@
LOCATION=$(which gnunet-config)
if [ -z $LOCATION ]
then
+ LOCATION="gnunet-config"
+fi
+$LOCATION --version
+if test $? != 0
+then
echo "GNUnet command line tools cannot be found, check environmental
variables PATH and GNUNET_PREFIX"
- exit 1
+ exit 77
fi
rm -rf `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
Modified: gnunet/src/gns/test_gns_dht_lookup.sh
===================================================================
--- gnunet/src/gns/test_gns_dht_lookup.sh 2013-12-08 21:33:29 UTC (rev
31182)
+++ gnunet/src/gns/test_gns_dht_lookup.sh 2013-12-08 21:33:34 UTC (rev
31183)
@@ -5,8 +5,13 @@
LOCATION=$(which gnunet-config)
if [ -z $LOCATION ]
then
+ LOCATION="gnunet-config"
+fi
+$LOCATION --version
+if test $? != 0
+then
echo "GNUnet command line tools cannot be found, check environmental
variables PATH and GNUNET_PREFIX"
- exit 1
+ exit 77
fi
TEST_IP="127.0.0.1"
Modified: gnunet/src/gns/test_gns_gns2dns_lookup.sh
===================================================================
--- gnunet/src/gns/test_gns_gns2dns_lookup.sh 2013-12-08 21:33:29 UTC (rev
31182)
+++ gnunet/src/gns/test_gns_gns2dns_lookup.sh 2013-12-08 21:33:34 UTC (rev
31183)
@@ -4,8 +4,13 @@
LOCATION=$(which gnunet-config)
if [ -z $LOCATION ]
then
+ LOCATION="gnunet-config"
+fi
+$LOCATION --version
+if test $? != 0
+then
echo "GNUnet command line tools cannot be found, check environmental
variables PATH and GNUNET_PREFIX"
- exit 1
+ exit 77
fi
rm -r `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
Modified: gnunet/src/gns/test_gns_ipv6_lookup.sh
===================================================================
--- gnunet/src/gns/test_gns_ipv6_lookup.sh 2013-12-08 21:33:29 UTC (rev
31182)
+++ gnunet/src/gns/test_gns_ipv6_lookup.sh 2013-12-08 21:33:34 UTC (rev
31183)
@@ -4,8 +4,13 @@
LOCATION=$(which gnunet-config)
if [ -z $LOCATION ]
then
+ LOCATION="gnunet-config"
+fi
+$LOCATION --version
+if test $? != 0
+then
echo "GNUnet command line tools cannot be found, check environmental
variables PATH and GNUNET_PREFIX"
- exit 1
+ exit 77
fi
rm -r `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
Modified: gnunet/src/gns/test_gns_lookup.sh
===================================================================
--- gnunet/src/gns/test_gns_lookup.sh 2013-12-08 21:33:29 UTC (rev 31182)
+++ gnunet/src/gns/test_gns_lookup.sh 2013-12-08 21:33:34 UTC (rev 31183)
@@ -4,8 +4,13 @@
LOCATION=$(which gnunet-config)
if [ -z $LOCATION ]
then
+ LOCATION="gnunet-config"
+fi
+$LOCATION --version
+if test $? != 0
+then
echo "GNUnet command line tools cannot be found, check environmental
variables PATH and GNUNET_PREFIX"
- exit 1
+ exit 77
fi
rm -r `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
Modified: gnunet/src/gns/test_gns_mx_lookup.sh
===================================================================
--- gnunet/src/gns/test_gns_mx_lookup.sh 2013-12-08 21:33:29 UTC (rev
31182)
+++ gnunet/src/gns/test_gns_mx_lookup.sh 2013-12-08 21:33:34 UTC (rev
31183)
@@ -4,8 +4,13 @@
LOCATION=$(which gnunet-config)
if [ -z $LOCATION ]
then
+ LOCATION="gnunet-config"
+fi
+$LOCATION --version
+if test $? != 0
+then
echo "GNUnet command line tools cannot be found, check environmental
variables PATH and GNUNET_PREFIX"
- exit 1
+ exit 77
fi
rm -fr `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
Modified: gnunet/src/gns/test_gns_nick_shorten.sh
===================================================================
--- gnunet/src/gns/test_gns_nick_shorten.sh 2013-12-08 21:33:29 UTC (rev
31182)
+++ gnunet/src/gns/test_gns_nick_shorten.sh 2013-12-08 21:33:34 UTC (rev
31183)
@@ -10,8 +10,13 @@
LOCATION=$(which gnunet-config)
if [ -z $LOCATION ]
then
+ LOCATION="gnunet-config"
+fi
+$LOCATION --version
+if test $? != 0
+then
echo "GNUnet command line tools cannot be found, check environmental
variables PATH and GNUNET_PREFIX"
- exit 1
+ exit 77
fi
# Deleting home directory from previous runs
Modified: gnunet/src/gns/test_gns_plus_lookup.sh
===================================================================
--- gnunet/src/gns/test_gns_plus_lookup.sh 2013-12-08 21:33:29 UTC (rev
31182)
+++ gnunet/src/gns/test_gns_plus_lookup.sh 2013-12-08 21:33:34 UTC (rev
31183)
@@ -4,8 +4,13 @@
LOCATION=$(which gnunet-config)
if [ -z $LOCATION ]
then
+ LOCATION="gnunet-config"
+fi
+$LOCATION --version
+if test $? != 0
+then
echo "GNUnet command line tools cannot be found, check environmental
variables PATH and GNUNET_PREFIX"
- exit 1
+ exit 77
fi
which timeout &> /dev/null && DO_TIMEOUT="timeout 5"
Modified: gnunet/src/gns/test_gns_quickupdate.sh
===================================================================
--- gnunet/src/gns/test_gns_quickupdate.sh 2013-12-08 21:33:29 UTC (rev
31182)
+++ gnunet/src/gns/test_gns_quickupdate.sh 2013-12-08 21:33:34 UTC (rev
31183)
@@ -4,8 +4,13 @@
LOCATION=$(which gnunet-config)
if [ -z $LOCATION ]
then
+ LOCATION="gnunet-config"
+fi
+$LOCATION --version
+if test $? != 0
+then
echo "GNUnet command line tools cannot be found, check environmental
variables PATH and GNUNET_PREFIX"
- exit 1
+ exit 77
fi
rm -r `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
Modified: gnunet/src/gns/test_gns_rel_expiration.sh
===================================================================
--- gnunet/src/gns/test_gns_rel_expiration.sh 2013-12-08 21:33:29 UTC (rev
31182)
+++ gnunet/src/gns/test_gns_rel_expiration.sh 2013-12-08 21:33:34 UTC (rev
31183)
@@ -4,8 +4,13 @@
LOCATION=$(which gnunet-config)
if [ -z $LOCATION ]
then
+ LOCATION="gnunet-config"
+fi
+$LOCATION --version
+if test $? != 0
+then
echo "GNUnet command line tools cannot be found, check environmental
variables PATH and GNUNET_PREFIX"
- exit 1
+ exit 77
fi
rm -r `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
Modified: gnunet/src/gns/test_gns_revocation.sh
===================================================================
--- gnunet/src/gns/test_gns_revocation.sh 2013-12-08 21:33:29 UTC (rev
31182)
+++ gnunet/src/gns/test_gns_revocation.sh 2013-12-08 21:33:34 UTC (rev
31183)
@@ -5,8 +5,13 @@
LOCATION=$(which gnunet-config)
if [ -z $LOCATION ]
then
+ LOCATION="gnunet-config"
+fi
+$LOCATION --version
+if test $? != 0
+then
echo "GNUnet command line tools cannot be found, check environmental
variables PATH and GNUNET_PREFIX"
- exit 1
+ exit 77
fi
rm -rf `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
Modified: gnunet/src/gns/test_gns_soa_lookup.sh
===================================================================
--- gnunet/src/gns/test_gns_soa_lookup.sh 2013-12-08 21:33:29 UTC (rev
31182)
+++ gnunet/src/gns/test_gns_soa_lookup.sh 2013-12-08 21:33:34 UTC (rev
31183)
@@ -4,8 +4,13 @@
LOCATION=$(which gnunet-config)
if [ -z $LOCATION ]
then
+ LOCATION="gnunet-config"
+fi
+$LOCATION --version
+if test $? != 0
+then
echo "GNUnet command line tools cannot be found, check environmental
variables PATH and GNUNET_PREFIX"
- exit 1
+ exit 77
fi
rm -r `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
Modified: gnunet/src/gns/test_gns_txt_lookup.sh
===================================================================
--- gnunet/src/gns/test_gns_txt_lookup.sh 2013-12-08 21:33:29 UTC (rev
31182)
+++ gnunet/src/gns/test_gns_txt_lookup.sh 2013-12-08 21:33:34 UTC (rev
31183)
@@ -4,8 +4,13 @@
LOCATION=$(which gnunet-config)
if [ -z $LOCATION ]
then
+ LOCATION="gnunet-config"
+fi
+$LOCATION --version
+if test $? != 0
+then
echo "GNUnet command line tools cannot be found, check environmental
variables PATH and GNUNET_PREFIX"
- exit 1
+ exit 77
fi
rm -r `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
Modified: gnunet/src/gns/test_gns_zkey_lookup.sh
===================================================================
--- gnunet/src/gns/test_gns_zkey_lookup.sh 2013-12-08 21:33:29 UTC (rev
31182)
+++ gnunet/src/gns/test_gns_zkey_lookup.sh 2013-12-08 21:33:34 UTC (rev
31183)
@@ -5,8 +5,13 @@
LOCATION=$(which gnunet-config)
if [ -z $LOCATION ]
then
+ LOCATION="gnunet-config"
+fi
+$LOCATION --version
+if test $? != 0
+then
echo "GNUnet command line tools cannot be found, check environmental
variables PATH and GNUNET_PREFIX"
- exit 1
+ exit 77
fi
rm -rf `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
Modified: gnunet/src/gns/test_gnunet_gns.sh
===================================================================
--- gnunet/src/gns/test_gnunet_gns.sh 2013-12-08 21:33:29 UTC (rev 31182)
+++ gnunet/src/gns/test_gnunet_gns.sh 2013-12-08 21:33:34 UTC (rev 31183)
@@ -3,8 +3,13 @@
LOCATION=$(which gnunet-config)
if [ -z $LOCATION ]
then
+ LOCATION="gnunet-config"
+fi
+$LOCATION --version
+if test $? != 0
+then
echo "GNUnet command line tools cannot be found, check environmental
variables PATH and GNUNET_PREFIX"
- exit 1
+ exit 77
fi
trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [GNUnet-SVN] r31183 - gnunet/src/gns,
gnunet <=